function filter(evt, column) {
	// Declare variables
	var input, filter, table, tr, td, i, txtValue;
	input = evt.target;
	filter = input.value.toUpperCase();
	table = evt.path[4];
	tr = table.getElementsByTagName("tr");

	// Loop through all table rows, and hide those who don't match the search query
	for (i = 2; i < tr.length; i++) {
		td = tr[i].getElementsByTagName("td")[column];
		if (td) {
			txtValue = td.textContent || td.innerText;
			if (txtValue.toUpperCase().indexOf(filter) > -1) {
				tr[i].style.display = "";
			} else {
				tr[i].style.display = "none";
			}
		}
	}
}

function goToMap(layer, featureID){
	var feature = layer._layers[featureID];
	if (feature.feature.geometry.type == 'Point' ) {
		map.setView(feature.getLatLng(), 16);
	} else {
		map.fitBounds(feature.getBounds());
	}

	document.getElementById('mapBtn').click();
	feature.openPopup();

	if (!L.Browser.ie && !L.Browser.opera && !L.Browser.edge) {
		layer.bringToFront();
	};
}

tableHTML__kamera_LPT = '<table id="_kamera_LPT_table">';
tableHTML__kamera_LPT += 	'<tr>';
tableHTML__kamera_LPT += 		'<th>Mapa</th>';
tableHTML__kamera_LPT += 		'<th>id</th>';
tableHTML__kamera_LPT += 		'<th>nr</th>';
tableHTML__kamera_LPT += 		'<th>opis</th>';
tableHTML__kamera_LPT += 	'</tr>';
tableHTML__kamera_LPT += 	'<tr>';
tableHTML__kamera_LPT += 		'<td></td>';
tableHTML__kamera_LPT += 		'<td><input type="text" onkeyup="filter(event, 1)" placeholder="Procurar id"></td>';
tableHTML__kamera_LPT += 		'<td><input type="text" onkeyup="filter(event, 2)" placeholder="Procurar nr"></td>';
tableHTML__kamera_LPT += 		'<td><input type="text" onkeyup="filter(event, 3)" placeholder="Procurar opis"></td>';
tableHTML__kamera_LPT += 	'</tr>';

var _kamera_LPT_IDs = Object.keys(_kamera_LPT._layers);
for (var i=0; i < _kamera_LPT_IDs.length; i++){
	var feature = _kamera_LPT._layers[_kamera_LPT_IDs[i]].feature;
	tableHTML__kamera_LPT += '<tr>';
	tableHTML__kamera_LPT += 	'<td onclick="goToMap(_kamera_LPT, ' + _kamera_LPT_IDs[i] + ')"><img src="javascript/icon.png" width="32px" height="32px"/></td>';
	tableHTML__kamera_LPT += 	'<td>' + feature.properties['id'] + '</td>';
	tableHTML__kamera_LPT += 	'<td>' + feature.properties['nr'] + '</td>';
	tableHTML__kamera_LPT += 	'<td>' + feature.properties['opis'] + '</td>';
	tableHTML__kamera_LPT += '</tr>';
}

tableHTML__kamera_LPT += '</table>';
document.getElementById('_kamera_LPT_tab').innerHTML = tableHTML__kamera_LPT;

tableHTML__kamera_sta_opozycyjna = '<table id="_kamera_sta_opozycyjna_table">';
tableHTML__kamera_sta_opozycyjna += 	'<tr>';
tableHTML__kamera_sta_opozycyjna += 		'<th>Mapa</th>';
tableHTML__kamera_sta_opozycyjna += 		'<th>id</th>';
tableHTML__kamera_sta_opozycyjna += 		'<th>nr</th>';
tableHTML__kamera_sta_opozycyjna += 		'<th>opis</th>';
tableHTML__kamera_sta_opozycyjna += 	'</tr>';
tableHTML__kamera_sta_opozycyjna += 	'<tr>';
tableHTML__kamera_sta_opozycyjna += 		'<td></td>';
tableHTML__kamera_sta_opozycyjna += 		'<td><input type="text" onkeyup="filter(event, 1)" placeholder="Procurar id"></td>';
tableHTML__kamera_sta_opozycyjna += 		'<td><input type="text" onkeyup="filter(event, 2)" placeholder="Procurar nr"></td>';
tableHTML__kamera_sta_opozycyjna += 		'<td><input type="text" onkeyup="filter(event, 3)" placeholder="Procurar opis"></td>';
tableHTML__kamera_sta_opozycyjna += 	'</tr>';

var _kamera_sta_opozycyjna_IDs = Object.keys(_kamera_sta_opozycyjna._layers);
for (var i=0; i < _kamera_sta_opozycyjna_IDs.length; i++){
	var feature = _kamera_sta_opozycyjna._layers[_kamera_sta_opozycyjna_IDs[i]].feature;
	tableHTML__kamera_sta_opozycyjna += '<tr>';
	tableHTML__kamera_sta_opozycyjna += 	'<td onclick="goToMap(_kamera_sta_opozycyjna, ' + _kamera_sta_opozycyjna_IDs[i] + ')"><img src="javascript/icon.png" width="32px" height="32px"/></td>';
	tableHTML__kamera_sta_opozycyjna += 	'<td>' + feature.properties['id'] + '</td>';
	tableHTML__kamera_sta_opozycyjna += 	'<td>' + feature.properties['nr'] + '</td>';
	tableHTML__kamera_sta_opozycyjna += 	'<td>' + feature.properties['opis'] + '</td>';
	tableHTML__kamera_sta_opozycyjna += '</tr>';
}

tableHTML__kamera_sta_opozycyjna += '</table>';
document.getElementById('_kamera_sta_opozycyjna_tab').innerHTML = tableHTML__kamera_sta_opozycyjna;

tableHTML__kamera_z_termowizj_ = '<table id="_kamera_z_termowizj__table">';
tableHTML__kamera_z_termowizj_ += 	'<tr>';
tableHTML__kamera_z_termowizj_ += 		'<th>Mapa</th>';
tableHTML__kamera_z_termowizj_ += 		'<th>id</th>';
tableHTML__kamera_z_termowizj_ += 		'<th>nr</th>';
tableHTML__kamera_z_termowizj_ += 		'<th>opis</th>';
tableHTML__kamera_z_termowizj_ += 	'</tr>';
tableHTML__kamera_z_termowizj_ += 	'<tr>';
tableHTML__kamera_z_termowizj_ += 		'<td></td>';
tableHTML__kamera_z_termowizj_ += 		'<td><input type="text" onkeyup="filter(event, 1)" placeholder="Procurar id"></td>';
tableHTML__kamera_z_termowizj_ += 		'<td><input type="text" onkeyup="filter(event, 2)" placeholder="Procurar nr"></td>';
tableHTML__kamera_z_termowizj_ += 		'<td><input type="text" onkeyup="filter(event, 3)" placeholder="Procurar opis"></td>';
tableHTML__kamera_z_termowizj_ += 	'</tr>';

var _kamera_z_termowizj__IDs = Object.keys(_kamera_z_termowizj_._layers);
for (var i=0; i < _kamera_z_termowizj__IDs.length; i++){
	var feature = _kamera_z_termowizj_._layers[_kamera_z_termowizj__IDs[i]].feature;
	tableHTML__kamera_z_termowizj_ += '<tr>';
	tableHTML__kamera_z_termowizj_ += 	'<td onclick="goToMap(_kamera_z_termowizj_, ' + _kamera_z_termowizj__IDs[i] + ')"><img src="javascript/icon.png" width="32px" height="32px"/></td>';
	tableHTML__kamera_z_termowizj_ += 	'<td>' + feature.properties['id'] + '</td>';
	tableHTML__kamera_z_termowizj_ += 	'<td>' + feature.properties['nr'] + '</td>';
	tableHTML__kamera_z_termowizj_ += 	'<td>' + feature.properties['opis'] + '</td>';
	tableHTML__kamera_z_termowizj_ += '</tr>';
}

tableHTML__kamera_z_termowizj_ += '</table>';
document.getElementById('_kamera_z_termowizj__tab').innerHTML = tableHTML__kamera_z_termowizj_;

tableHTML__kamery_obrotowe = '<table id="_kamery_obrotowe_table">';
tableHTML__kamery_obrotowe += 	'<tr>';
tableHTML__kamery_obrotowe += 		'<th>Mapa</th>';
tableHTML__kamery_obrotowe += 		'<th>id</th>';
tableHTML__kamery_obrotowe += 		'<th>nr kamery</th>';
tableHTML__kamery_obrotowe += 		'<th>opis</th>';
tableHTML__kamery_obrotowe += 	'</tr>';
tableHTML__kamery_obrotowe += 	'<tr>';
tableHTML__kamery_obrotowe += 		'<td></td>';
tableHTML__kamery_obrotowe += 		'<td><input type="text" onkeyup="filter(event, 1)" placeholder="Procurar id"></td>';
tableHTML__kamery_obrotowe += 		'<td><input type="text" onkeyup="filter(event, 2)" placeholder="Procurar nr kamery"></td>';
tableHTML__kamery_obrotowe += 		'<td><input type="text" onkeyup="filter(event, 3)" placeholder="Procurar opis"></td>';
tableHTML__kamery_obrotowe += 	'</tr>';

var _kamery_obrotowe_IDs = Object.keys(_kamery_obrotowe._layers);
for (var i=0; i < _kamery_obrotowe_IDs.length; i++){
	var feature = _kamery_obrotowe._layers[_kamery_obrotowe_IDs[i]].feature;
	tableHTML__kamery_obrotowe += '<tr>';
	tableHTML__kamery_obrotowe += 	'<td onclick="goToMap(_kamery_obrotowe, ' + _kamery_obrotowe_IDs[i] + ')"><img src="javascript/icon.png" width="32px" height="32px"/></td>';
	tableHTML__kamery_obrotowe += 	'<td>' + feature.properties['id'] + '</td>';
	tableHTML__kamery_obrotowe += 	'<td>' + feature.properties['nr kamery'] + '</td>';
	tableHTML__kamery_obrotowe += 	'<td>' + feature.properties['opis'] + '</td>';
	tableHTML__kamery_obrotowe += '</tr>';
}

tableHTML__kamery_obrotowe += '</table>';
document.getElementById('_kamery_obrotowe_tab').innerHTML = tableHTML__kamery_obrotowe;

tableHTML__punktykamerowe2024 = '<table id="_punktykamerowe2024_table">';
tableHTML__punktykamerowe2024 += 	'<tr>';
tableHTML__punktykamerowe2024 += 		'<th>Mapa</th>';
tableHTML__punktykamerowe2024 += 		'<th>id</th>';
tableHTML__punktykamerowe2024 += 		'<th>nrpunktu</th>';
tableHTML__punktykamerowe2024 += 		'<th>opis</th>';
tableHTML__punktykamerowe2024 += 	'</tr>';
tableHTML__punktykamerowe2024 += 	'<tr>';
tableHTML__punktykamerowe2024 += 		'<td></td>';
tableHTML__punktykamerowe2024 += 		'<td><input type="text" onkeyup="filter(event, 1)" placeholder="Procurar id"></td>';
tableHTML__punktykamerowe2024 += 		'<td><input type="text" onkeyup="filter(event, 2)" placeholder="Procurar nrpunktu"></td>';
tableHTML__punktykamerowe2024 += 		'<td><input type="text" onkeyup="filter(event, 3)" placeholder="Procurar opis"></td>';
tableHTML__punktykamerowe2024 += 	'</tr>';

var _punktykamerowe2024_IDs = Object.keys(_punktykamerowe2024._layers);
for (var i=0; i < _punktykamerowe2024_IDs.length; i++){
	var feature = _punktykamerowe2024._layers[_punktykamerowe2024_IDs[i]].feature;
	tableHTML__punktykamerowe2024 += '<tr>';
	tableHTML__punktykamerowe2024 += 	'<td onclick="goToMap(_punktykamerowe2024, ' + _punktykamerowe2024_IDs[i] + ')"><img src="javascript/icon.png" width="32px" height="32px"/></td>';
	tableHTML__punktykamerowe2024 += 	'<td>' + feature.properties['id'] + '</td>';
	tableHTML__punktykamerowe2024 += 	'<td>' + feature.properties['nrpunktu'] + '</td>';
	tableHTML__punktykamerowe2024 += 	'<td>' + feature.properties['opis'] + '</td>';
	tableHTML__punktykamerowe2024 += '</tr>';
}

tableHTML__punktykamerowe2024 += '</table>';
document.getElementById('_punktykamerowe2024_tab').innerHTML = tableHTML__punktykamerowe2024;

